ruby-powerpack_0.1.1-2build1_all.deb


Advertisement

Description

ruby-powerpack - Useful extensions to core Ruby classes

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name ruby-powerpack
Package version 0.1.1
Package release 2build1
Package architecture all
Package type deb
Installed size 62 B
Download size 9.35 KB
Official Mirror archive.ubuntu.com
Powerpack offers some useful extensions to the standard Ruby classes (kind of
like ActiveSupport, but less ambitious and more modular). Powerpack add some
extensions on Array, Enumerable, Hash, Numeric and String core classes.

Alternatives

Package Version Architecture Repository
ruby-powerpack_0.1.1-2build1_all.deb 0.1.1 all Ubuntu Universe
ruby-powerpack - - -

Requires

Name Value
ruby -
ruby-interpreter -

Download

Type URL
Binary Package ruby-powerpack_0.1.1-2build1_all.deb
Source Package ruby-powerpack

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-powerpack deb package:
    # sudo apt-get install ruby-powerpack

Files

Path
/usr/lib/ruby/vendor_ruby/powerpack.rb
/usr/lib/ruby/vendor_ruby/powerpack/array.rb
/usr/lib/ruby/vendor_ruby/powerpack/enumerable.rb
/usr/lib/ruby/vendor_ruby/powerpack/hash.rb
/usr/lib/ruby/vendor_ruby/powerpack/numeric.rb
/usr/lib/ruby/vendor_ruby/powerpack/string.rb
/usr/lib/ruby/vendor_ruby/powerpack/version.rb
/usr/lib/ruby/vendor_ruby/powerpack/array/butfirst.rb
/usr/lib/ruby/vendor_ruby/powerpack/array/butlast.rb
/usr/lib/ruby/vendor_ruby/powerpack/enumerable/average.rb
/usr/lib/ruby/vendor_ruby/powerpack/enumerable/drop_last.rb
/usr/lib/ruby/vendor_ruby/powerpack/enumerable/drop_last_while.rb
/usr/lib/ruby/vendor_ruby/powerpack/enumerable/exactly.rb
/usr/lib/ruby/vendor_ruby/powerpack/enumerable/frequencies.rb
/usr/lib/ruby/vendor_ruby/powerpack/enumerable/several.rb
/usr/lib/ruby/vendor_ruby/powerpack/enumerable/sum.rb
/usr/lib/ruby/vendor_ruby/powerpack/enumerable/take_last.rb
/usr/lib/ruby/vendor_ruby/powerpack/enumerable/take_last_while.rb
/usr/lib/ruby/vendor_ruby/powerpack/hash/symbolize_keys.rb
/usr/lib/ruby/vendor_ruby/powerpack/numeric/neg.rb
/usr/lib/ruby/vendor_ruby/powerpack/numeric/pos.rb
/usr/lib/ruby/vendor_ruby/powerpack/numeric/scale.rb
/usr/lib/ruby/vendor_ruby/powerpack/string/ascii_only.rb
/usr/lib/ruby/vendor_ruby/powerpack/string/blank.rb
/usr/lib/ruby/vendor_ruby/powerpack/string/format.rb
/usr/lib/ruby/vendor_ruby/powerpack/string/remove.rb
/usr/lib/ruby/vendor_ruby/powerpack/string/remove_prefix.rb
/usr/lib/ruby/vendor_ruby/powerpack/string/remove_suffix.rb
/usr/lib/ruby/vendor_ruby/powerpack/string/squish.rb
/usr/lib/ruby/vendor_ruby/powerpack/string/strip_indent.rb
/usr/lib/ruby/vendor_ruby/powerpack/string/strip_margin.rb
/usr/share/doc/ruby-powerpack/README.md.gz
/usr/share/doc/ruby-powerpack/changelog.Debian.gz
/usr/share/doc/ruby-powerpack/copyright
/usr/share/rubygems-integration/all/specifications/powerpack-0.1.1.gemspec

Changelog

2016-03-23 - Matthias Klose <doko@ubuntu.com>
ruby-powerpack (0.1.1-2build1) xenial; urgency=medium
* No-change rebuild to add a gemspec file.
2016-03-04 - Sebastien Badia <seb@sebian.fr>
ruby-powerpack (0.1.1-2) unstable; urgency=medium
[ Cédric Boutillier ]
* Bump debhelper compatibility level to 9
* Remove version in the gem2deb build-dependency
* Use https:// in Vcs-* fields
[ Sebastien Badia ]
* d/control: Fix Vcs-Git Url
* d/control: Bump Standards-Version to 3.9.7 (no changes)
* Refresh Debian packaging (using dh-make-ruby)
2015-08-18 - Sebastien Badia <seb@sebian.fr>
ruby-powerpack (0.1.1-1) unstable; urgency=medium
* New upstream release.
* Convert spec tests to RSpec3, Thanks Cédric; (Closes: #783992)
2015-02-19 - Sebastien Badia <seb@sebian.fr>
ruby-powerpack (0.1.0-1) unstable; urgency=medium
* New upstream release.
* d/control: Bump Standards-Version (no changes)
2014-04-28 - Sebastien Badia <seb@sebian.fr>
ruby-powerpack (0.0.9-1) unstable; urgency=low
* Initial release (Closes: #745422)

See Also

Package Description
ruby-prawn-doc_2.0.2+dfsg-1_all.deb fast, nimble PDF generation library for Ruby (documentation)
ruby-prawn-manual-builder_0.2.0-1_all.deb tool to write manuals for Prawn and Prawn accessories
ruby-prawn-table_0.2.1-1_all.deb table support for the Prawn PDF generation library
ruby-prawn_2.0.2+dfsg-1_all.deb fast, nimble PDF generation library for Ruby
ruby-progressbar_1.4.2-1_all.deb Text progress bar library for Ruby
ruby-protected-attributes_1.1.3-1_all.deb Protect attributes from mass assignment in Active Record models
ruby-pundit_1.0.1-2_all.deb object oriente authorization for rails
ruby-puppet-forge_2.1.3-1_all.deb Access the Puppet Forge API from Ruby
ruby-puppet-syntax_2.0.0-1_all.deb Syntax checks for Puppet manifests, templates, and Hiera YAML
ruby-puppetlabs-spec-helper_0.10.3-1_all.deb rake tasks and spec helper for spec tests on puppet modules
ruby-pygments.rb_0.6.3-1_all.deb pygments wrapper for Ruby
ruby-qdbm_1.8.78-6build3_i386.deb QDBM Database Libraries for Ruby
ruby-qpid_0.16-9ubuntu2_i386.deb enterprise messaging system - Ruby bindings
ruby-qscintilla2_4.14.3-1ubuntu2_i386.deb QScintilla2 bindings for the Ruby language
ruby-qt4-declarative_4.14.3-1ubuntu2_i386.deb QtDeclarative bindings for the Ruby language
Advertisement
Advertisement